#!/usr/bin/env python


class Complex(object):
    def __init__(self, r=0.0, i=0.0):
        self.re = r
        self.im = i

    def __str__(self):
        return "{} + {}i".format(self.re, self.im)

    def __repr__(self):
        return "Complex({}, {})".format(self.re, self.im)

    
    def __add__(self, other):
        if not isinstance(other, Complex):
            other = Complex(other)
        return Complex(self.re + other.re, self.im + other.im)


z = Complex(3.0, 4.5)
print z
print repr(z)

w = Complex(1.0, 2.0)

print z + 4.0

